Skip to main content
GET
/
public
/
v1
/
conversations
/
{conversationId}
Get conversation
curl --request GET \
  --url https://api.callin.io/api/public/v1/conversations/{conversationId} \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "agentId": "<string>",
    "agentName": "<string>",
    "status": "completed",
    "direction": "outbound",
    "conversationDuration": 123,
    "startTimeUnix": 123,
    "endTimeUnix": 123,
    "summary": "<string>",
    "transcript": "<string>",
    "contactNumber": "<string>",
    "callerNumber": "<string>",
    "sentiment": {
      "sentiment_score": 123,
      "sentiment_by_turn": [
        {
          "text": "<string>",
          "sentiment_score": 123,
          "sentiment_label": "<string>",
          "speaker": "<string>"
        }
      ],
      "sentiment_overall": "<string>"
    },
    "keyMoments": [
      {
        "text": "<string>",
        "label": "<string>",
        "speaker": "<string>",
        "timestamp": "<string>"
      }
    ],
    "appointmentScheduled": {},
    "dataCollected": {
      "entity": "<string>",
      "value": "<string>"
    },
    "voiceMailDetected": true,
    "errorMessage": "<string>",
    "callTransferred": true,
    "metadata": {
      "createdAt": "<string>",
      "createdBy": {
        "userId": "<string>",
        "userEmail": "<string>"
      }
    }
  }
}

Authorizations

x-api-key
string
header
required

Send your Callin API key in the x-api-key header.

Path Parameters

conversationId
string
required

The unique identifier of the conversation.

Response

Full conversation details.

Deep conversation record: transcript, sentiment, collected data, and metadata.

success
boolean
Example:

true

data
object